=== modified file 'charmworld/jobs/lp.py'
--- charmworld/jobs/lp.py	2013-07-22 20:49:00 +0000
+++ charmworld/jobs/lp.py	2013-08-12 20:10:11 +0000
@@ -65,7 +65,6 @@
             continue
 
         data['branch_deleted'] = False
-        data['doctype'] = 'charm'
         charms.append(data)
     return charms, baskets
 
@@ -84,7 +83,6 @@
         charm['promulgated'] = False
         charm['distro_series'] = []
         charm['branch_deleted'] = True
-        charm['doctype'] = 'charm'
         yield charm
 
 

=== modified file 'charmworld/jobs/tests/test_lp.py'
--- charmworld/jobs/tests/test_lp.py	2013-08-09 18:53:40 +0000
+++ charmworld/jobs/tests/test_lp.py	2013-08-12 20:10:11 +0000
@@ -61,7 +61,6 @@
             'bname': u'trunk',
             'commit': u'ja@appflower.com-20120329093714-s2m9e28dwotmijqc',
             'distro_series': [],
-            'doctype': 'charm',
             'promulgated': False}], charms)
 
     def test_request_promulgated_charm(self):
@@ -84,7 +83,6 @@
             'bname': u'trunk',
             'commit': u'ja@appflower.com-20120329093714-s2m9e28dwotmijqc',
             'distro_series': ['precise'],
-            'doctype': 'charm',
             'promulgated': True}], charms)
 
     def test_all_branch_data_parse_failure(self):
@@ -225,7 +223,6 @@
                 'branch_deleted': False,
                 'bname': 'trunk',
                 'commit': 'owner@example.com-series-c1',
-                'doctype': 'charm',
                 'distro_series': ['series'],
                 'name': 'c1',
                 'owner': 'owner',
@@ -237,7 +234,6 @@
                 'branch_deleted': True,
                 'bname': 'trunk',
                 'distro_series': [],
-                'doctype': 'charm',
                 'name': 'c2',
                 'owner': 'owner',
                 'series': 'series',
@@ -250,7 +246,6 @@
                 'bname': 'trunk',
                 'commit': 'owner@example.com-series-c3',
                 'distro_series': [],
-                'doctype': 'charm',
                 'name': 'c3',
                 'owner': 'owner',
                 'promulgated': False,

=== modified file 'charmworld/models.py'
--- charmworld/models.py	2013-08-09 21:01:58 +0000
+++ charmworld/models.py	2013-08-12 20:10:11 +0000
@@ -220,7 +220,6 @@
         'owner': '',
         'promulgated': False,
         'series': '',
-        'doctype': 'charm',
 
         # Provided by the update charm job.
         'date_created': None,
@@ -1184,7 +1183,6 @@
         'data': dict(),
         'promulgated': False,
         'branch_deleted': False,
-        'doctype': 'bundle',
     }
 
     def __init__(self, data):

=== modified file 'charmworld/testing/factory.py'
--- charmworld/testing/factory.py	2013-08-11 23:10:37 +0000
+++ charmworld/testing/factory.py	2013-08-12 20:10:11 +0000
@@ -253,7 +253,6 @@
         "categories": categories,
         "changes": changes,
         "description": description,
-        "doctype": "charm",
         "hooks": [
             "install",
             "start",
@@ -327,7 +326,6 @@
                 branch_deleted=branch_deleted,
                 data=data,
                 description=description,
-                doctype='bundle',
                 inherits=inherits,
                 name=name,
                 owner=owner,

=== modified file 'charmworld/tests/test_models.py'
--- charmworld/tests/test_models.py	2013-08-09 20:47:40 +0000
+++ charmworld/tests/test_models.py	2013-08-12 20:10:11 +0000
@@ -1558,7 +1558,6 @@
             'inherits': 'main-mysql',
             'title': 'Tiny bundle',
             'description': 'My Tiny Bundle',
-            'doctype': 'bundle',
             'data': {
                 'services': dict(apache=1),
                 'relations': dict(a=1),

=== modified file 'charmworld/tests/test_search.py'
--- charmworld/tests/test_search.py	2013-08-09 20:47:40 +0000
+++ charmworld/tests/test_search.py	2013-08-12 20:10:11 +0000
@@ -252,7 +252,6 @@
         charm['provides']['website']['interface'] = 'gopher'
         charm['requires']['database']['interface'] = 'reiserfs'
         charm['_id'] = 'asdf'
-        charm['doctype'] = 'bogustype'
         # Best-effort ensure there's no overlap between search terms
         items = charm.items()
         for num, (key, value) in enumerate(items):

=== modified file 'charmworld/views/tests/test_api.py'
--- charmworld/views/tests/test_api.py	2013-08-09 20:47:40 +0000
+++ charmworld/views/tests/test_api.py	2013-08-12 20:10:11 +0000
@@ -644,7 +644,6 @@
                       series='precise',
                       ),
             description='',
-            doctype='bundle',
             promulgated=False,
             branch_deleted=False,
         )

=== modified file 'charmworld/views/tests/test_charms.py'
--- charmworld/views/tests/test_charms.py	2013-08-09 13:25:55 +0000
+++ charmworld/views/tests/test_charms.py	2013-08-12 20:10:11 +0000
@@ -70,7 +70,6 @@
             }
         }
     },
-    'doctype': 'charm',
     'downloads': 0,
     'downloads_in_past_7_days': 0,
     'downloads_in_past_30_days': 0,

